{% extends 'base.html' %}

{%block title%}Home{% endblock %}

{% block content %}
	{% if todoitem_list and user.is_anonymous == False %}
		<h1 class = "text-center my-3">Welcome {{user.first_name}} {{user.last_name}}!</h1>

		<div class = "container">
			<div class = 'row'>
				<h3 class = "text-center mb-3">My Tasks</h3>
				<ul class = " list-group text-center col-lg-4 offset-lg-4">
				{% for todoitem in todoitem_list %}
					<li class = "list-group-item"><a class = "text-decoration-none"href = "{% url 'todolist:viewtodoitem' todoitem.id %}">{{todoitem.task_name}}</a></li>
				{% endfor%}	
				</ul>
			</div>
		</div>

		
	{% elif todoitem_list.count == 0 and user.is_anonymous == False %}
		<h1 class = "text-center my-3">Welcome {{user.first_name}} {{user.last_name}}!</h1>
		<p class = "text-center my-3">No tasks have been created.</p>
	{%else%}
		<h1 class = "text-center my-3">You are not authorized to access this page.</h1>
		<p class = "text-center my-3">Kindly login <a href = "{% url 'todolist:login' %}">here</a>.</p>
	{% endif %}
	

	{% if event_list and user.is_anonymous == False %}
		<h1 class = "text-center my-3">Welcome {{user.first_name}} {{user.last_name}}!</h1>

		<div class = "container">
			<div class = 'row'>
				<h3 class = "text-center mb-3">My Events</h3>
				<ul class = " list-group text-center col-lg-4 offset-lg-4">
				{% for eventitem in event_list %}
					<li class = "list-group-item"><a class = "text-decoration-none"href = "{% url 'todolist:vieweventitem' eventitem.id %}">{{eventitem.event_name}}</a></li>
				{% endfor%}	
				</ul>
			</div>
		</div>

		
	{% elif event_list.count == 0 and user.is_anonymous == False %}
		<h1 class = "text-center my-3">Welcome {{user.first_name}} {{user.last_name}}!</h1>
		<p class = "text-center my-3">No Events have been Planned!.</p>
	{%else%}
		<h1 class = "text-center my-3">You are not authorized to access this page.</h1>
		<p class = "text-center my-3">Kindly login <a href = "{% url 'todolist:login' %}">here</a>.</p>
	{% endif %}

{% endblock %}